From 64fa93d4e8dfcd88de32b0f0244117d4db191e9c Mon Sep 17 00:00:00 2001
From: Evan Moses <evan@emoses.org>
Date: Thu, 21 Feb 2019 13:37:01 -0800
Subject: [PATCH] Add 'breakpoint' to builtins for Python

* lisp/progmodes/python.el (python-font-lock-keywords-level-2)
(python-font-lock-keywords-maxiumum-decoration): add 'breakpoint'
to the list of builtins, it's new as of Python 3.7
---
 lisp/progmodes/python.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index 71b2a94c07..65d5d90cd5 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -575,7 +575,7 @@ class declarations.")
            "reload" "unichr" "unicode" "xrange" "apply" "buffer" "coerce"
            "intern"
            ;; Python 3:
-           "ascii" "bytearray" "bytes" "exec"
+           "ascii" "breakpoint" "bytearray" "bytes" "exec"
            ;; Extra:
            "__all__" "__doc__" "__name__" "__package__")
           symbol-end) . font-lock-builtin-face))
-- 
2.17.2 (Apple Git-113)

